#450_prepare_vvagent.sh

# Default agent defined scripts and default rear scripts location:
# /opt/BUAgent/rear/rescue/450_prepare_vvagent.sh    -> copy to  /usr/share/rear/rescue/VV/default/

# constant variable
SUSE_LINUX="SUSE_LINUX"
OPT_BUAGENT="/opt/BUAgent"

# start Carbonite Agent
exclude_agent_content=$(find $OPT_BUAGENT -type f -name "*vvc" | grep -v Global.vvc | sed 's/.vvc//' | awk '{print $1, $1 ".*" }')
COPY_AS_IS=( "${COPY_AS_IS[@]}" $OPT_BUAGENT $OPT_BUAGENT/Global.vvc /etc/rc.d/init.d/functions /etc/rc.d/init.d/vvagent /etc/init.d )
COPY_AS_IS_EXCLUDE=( $exclude_agent_content )

# os information
os_platform=""
[[ -e $CONFIG_DIR/os.conf ]] && os_platform=$(cat "$CONFIG_DIR/os.conf" | awk -F '=' '/^OS_VENDOR=/ {print $2}')

if [[ $os_platform == "$SUSE_LINUX" ]]; then
  echo "Support SUSE Linux"
  REQUIRED_PROGS=( "${REQUIRED_PROGS[@]}" snapper chattr lsattr )
  COPY_AS_IS=( "${COPY_AS_IS[@]}" /usr/bin/mountpoint /etc/rc.status /usr/lib/snapper/installation-helper /etc/snapper/config-templates/default )
  BACKUP_PROG_INCLUDE=( /var/cache /var/lib/mailman /var/tmp /var/lib/pgsql /usr/local /opt /var/lib/libvirt/images /boot/grub2/i386-pc /var/opt /srv /boot/grub2/x86_64-efi /var/lib/mariadb /var/spool /var/lib/mysql /tmp /home /var/log /var/lib/named /var/lib/machines )
fi

# ${BUILD_DIR} points to the build area /tmp/xxxx/
# the if condition make sure the bmragent is not get run in chroot environment.
echo "if [[ \"\$(stat -c %d:%i /)\" == \"\$(stat -c %d:%i /proc/1/root/.)\" ]]; then" > ${BUILD_DIR}/rootfs/root/.profile
echo "  cd $OPT_BUAGENT" >> ${BUILD_DIR}/rootfs/root/.profile
echo "  export TERMINFO=/usr/share/terminfo" >> ${BUILD_DIR}/rootfs/root/.profile
echo "  export TERM=vt100" >> ${BUILD_DIR}/rootfs/root/.profile
echo "  clear" >> ${BUILD_DIR}/rootfs/root/.profile
echo "  echo \"Please run the command ./bmragent to start the bare metal restore.\"" >> ${BUILD_DIR}/rootfs/root/.profile
echo "fi" >> ${BUILD_DIR}/rootfs/root/.profile
